part of trober_sdk.api;

// inline_object_1
class InlineObject1 {
  String deviceId;
  InlineObject1();

  @override
  String toString() {
    return 'InlineObject1[deviceId=$deviceId, ]';
  }

  fromJson(Map<String, dynamic> json) {
    if (json == null) return;

    {
      final _jsonData = json[r'device-id'];
      deviceId = (_jsonData == null) ? null : _jsonData;
    } // _jsonFieldName
  }

  InlineObject1.fromJson(Map<String, dynamic> json) {
    fromJson(json); // allows child classes to call
  }

  Map<String, dynamic> toJson() {
    final json = <String, dynamic>{};
    if (deviceId != null) {
      json[r'device-id'] = LocalApiClient.serialize(deviceId);
    }
    return json;
  }

  static List<InlineObject1> listFromJson(List<dynamic> json) {
    return json == null
        ? <InlineObject1>[]
        : json.map((value) => InlineObject1.fromJson(value)).toList();
  }

  static Map<String, InlineObject1> mapFromJson(Map<String, dynamic> json) {
    final map = <String, InlineObject1>{};
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) =>
          map[key] = InlineObject1.fromJson(value));
    }
    return map;
  }

  @override
  bool operator ==(Object other) {
    if (identical(this, other)) {
      return true;
    }

    if (other is InlineObject1 && runtimeType == other.runtimeType) {
      return deviceId == other.deviceId;
    }

    return false;
  }

  @override
  int get hashCode {
    var hashCode = runtimeType.hashCode;

    if (deviceId != null) {
      hashCode = hashCode ^ deviceId.hashCode;
    }

    return hashCode;
  }

  InlineObject1 copyWith({
    String deviceId,
  }) {
    InlineObject1 copy = InlineObject1();
    copy.deviceId = deviceId ?? this.deviceId;
    return copy;
  }
}
