part of trober_sdk.api;

// inline_object_2
class InlineObject2 {
  String deviceId;
  InlineObject2();

  @override
  String toString() {
    return 'InlineObject2[deviceId=$deviceId, ]';
  }

  fromJson(Map<String, dynamic> json) {
    if (json == null) return;

    {
      final _jsonData = json[r'device-id'];
      deviceId = (_jsonData == null) ? null : _jsonData;
    } // _jsonFieldName
  }

  InlineObject2.fromJson(Map<String, dynamic> json) {
    fromJson(json); // allows child classes to call
  }

  Map<String, dynamic> toJson() {
    final json = <String, dynamic>{};
    if (deviceId != null) {
      json[r'device-id'] = LocalApiClient.serialize(deviceId);
    }
    return json;
  }

  static List<InlineObject2> listFromJson(List<dynamic> json) {
    return json == null
        ? <InlineObject2>[]
        : json.map((value) => InlineObject2.fromJson(value)).toList();
  }

  static Map<String, InlineObject2> mapFromJson(Map<String, dynamic> json) {
    final map = <String, InlineObject2>{};
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) =>
          map[key] = InlineObject2.fromJson(value));
    }
    return map;
  }

  @override
  bool operator ==(Object other) {
    if (identical(this, other)) {
      return true;
    }

    if (other is InlineObject2 && runtimeType == other.runtimeType) {
      return deviceId == other.deviceId;
    }

    return false;
  }

  @override
  int get hashCode {
    var hashCode = runtimeType.hashCode;

    if (deviceId != null) {
      hashCode = hashCode ^ deviceId.hashCode;
    }

    return hashCode;
  }

  InlineObject2 copyWith({
    String deviceId,
  }) {
    InlineObject2 copy = InlineObject2();
    copy.deviceId = deviceId ?? this.deviceId;
    return copy;
  }
}
